#include <fxsaber\OnTesterCustom\OnTesterCustom.mqh> //   . .

#define D(A) DoubleToString(A, 2)

double OnTester()
{
  const ONTESTERCUSTOM OnTesterCustom(_Symbol);

  const double Commission = 20; //  -     

  const double Risk = 0.1; //  .

  const double Gain = OnTesterCustom.TesterStatistics(ONTESTERCUSTOM_GAIN, Risk, Commission);
  const double MaxDD = OnTesterCustom.TesterStatistics(ONTESTERCUSTOM_MAXDD, Risk, Commission);
  const double RF = OnTesterCustom.TesterStatistics(ONTESTERCUSTOM_RECOVERYFACTOR, Risk, Commission);

  Print("\n  " + D(Risk) +
        "\n    " + D(Gain) + " " +
        "\n      " + D(MaxDD) +
        "\n  = " + D(RF) +
        "\n = " + D(Commission) + "   ( ).");

  const double MaxDDFix = 0.3; //   .

  const double GainFix = OnTesterCustom.TesterStatistics(ONTESTERCUSTOM_GAIN_FIXDD, MaxDDFix, Commission);
  const double RFFix = OnTesterCustom.TesterStatistics(ONTESTERCUSTOM_RECOVERYFACTOR_FIXDD, MaxDDFix, Commission);
  const double RiskFix = OnTesterCustom.TesterStatistics(ONTESTERCUSTOM_RISK_FIXDD, MaxDDFix, Commission);

  Print("\n  " + D(RiskFix) +
        "\n    " + D(GainFix) + " " +
        "\n      " + D(MaxDDFix) +
        "\n  = " + D(RFFix) +
        "\n = " + D(Commission) + "   ( ).");

  return(Gain);
}